im hitting the following http timeout error consis...
# prefect-community
d
im hitting the following http timeout error consistently with my flows. thought i had it solved, but it showed back up this morning and nothing is completing. when searching through slack / github / the forum, it seems a few others are encountering this as well though no one has posted a solution. traceback in the following post.
Copy code
Flow run encountered an exception. Traceback (most recent call last): File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/backends/asyncio.py", line 34, in read return await self._stream.receive(max_bytes=max_bytes) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/anyio/_backends/_asyncio.py", line 1265, in receive await self._protocol.read_event.wait() File "/usr/lib64/python3.8/asyncio/locks.py", line 309, in wait await fut asyncio.exceptions.CancelledError During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_exceptions.py", line 10, in map_exceptions yield File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/backends/asyncio.py", line 36, in read return b"" File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/anyio/_core/_tasks.py", line 118, in __exit__ raise TimeoutError TimeoutError During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpx/_transports/default.py", line 60, in map_httpcore_exceptions yield File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpx/_transports/default.py", line 353, in handle_async_request resp = await self._pool.handle_async_request(req) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/connection_pool.py", line 253, in handle_async_request raise exc File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/connection_pool.py", line 237, in handle_async_request response = await connection.handle_async_request(request) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/connection.py", line 90, in handle_async_request return await self._connection.handle_async_request(request) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/http11.py", line 116, in handle_async_request raise exc File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/http11.py", line 95, in handle_async_request ) = await self._receive_response_headers(**kwargs) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/http11.py", line 159, in _receive_response_headers event = await self._receive_event(timeout=timeout) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_async/http11.py", line 195, in _receive_event data = await self._network_stream.read( File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/backends/asyncio.py", line 36, in read return b"" File "/usr/lib64/python3.8/contextlib.py", line 131, in __exit__ self.gen.throw(type, value, traceback) File "/home/ec2-user/data-prefect/venv/lib64/python3.8/site-packages/httpcore/_exceptions.py", line 14, in map_exceptions raise to_exc(exc) httpcore.ReadTimeout The above exception was the direct cause of the following exception: httpx.ReadTimeout
Copy code
Version:             2.10.4
API version:         0.8.4
Python version:      3.8.16
Git commit:          b6d0433a
Built:               Thu, Apr 13, 2023 5:34 PM
OS/Arch:             linux/x86_64
Profile:             default
Server type:         cloud
127 Views